## dbus-1-tqt 3.5.13.2

=== debian/changelog ===
dbus-1-tqt (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 14:08:41 +0200

dbus-1-tqt (0.9-0ubuntu1) maverick; urgency=low

  * Initial package

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 23 Mar 2010 13:23:00 -0600
