=== debian/control ===
Source: dbus-1-tqt
Section: devel
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), quilt, libtqtinterface-dev, libdbus-1-dev (>= 0.90), cmake
Standards-Version: 3.8.3

Package: libdbus-1-tqt-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-tqt (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
Description: dbus bindings for the Trinity Qt [TQt] interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity Qt TQt interface.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-tqt
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: dbus bindings for the Trinity Qt [TQt] interface
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides bindings for the Trinity Qt TQt interface.
 .
 See the dbus description for more information about D-BUS in general.
