## dbus-1-tqt 3.5.13.3~pre70

=== debian/changelog ===
dbus-1-tqt (4:3.5.13.3~pre70-0ubuntu12.04.0+3) precise; urgency=low

  * Automated git build for 017501d99288580d16284cb666ff165eeb74f2ef

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Jun 2021 01:30:27 +0200
