## dbus-1-tqt 3.5.13.3~pre71

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ##### cmake setup ###############################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 include( FindPkgConfig )
 include( CheckCXXSourceCompiles )
