=== debian/changelog ===
dbus-1-tqt (4:3.5.13.3~pre71-0raspbian11.0.0+3) raspbian-bullseye; urgency=low

  * Automated git build for 9fc3d8cf4242d68f94c19abadc090d62e1cb0a28

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Dec 2021 14:50:42 +0100
