## dbus-1-tqt 14.1.0

=== debian/changelog ===
dbus-1-tqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Mar 2023 02:34:49 +0100
