=== debian/changelog ===
dbus-1-tqt (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 04:56:42 +0200
