## dbus-1-tqt 14.1.3

=== debian/changelog ===
dbus-1-tqt (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Sep 2024 09:40:00 +0200
