## dbus-1-tqt 14.1.5~pre1

=== debian/changelog ===
dbus-1-tqt (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 4f3444b1e1ec7dc2884d25d9e249e6e95c8c9da6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
