## dbus-1-tqt 14.1.6~pre0

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4f3444b1e1ec7dc2884d25d9e249e6e95c8c9da6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
