## dbus-1-tqt 14.1.6~pre1

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b40e3f40474a75182763069a6e2a4c4dbf2faffa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Dec 2025 03:04:27 +0100
