## dbus-1-tqt 14.1.6~pre3

=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 296b5109ab28ef4fc1e487c43bca83d195168542
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 23:03:11 +0100
