## dbus-1-tqt 14.1.6~pre4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,23 +9,35 @@
 #
 #################################################
 
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
+
+
+##### general package setup #####################
+
 project( dbus-1-tqt )
 
 
-##### cmake setup ###############################
-
-cmake_minimum_required( VERSION 3.1 )
+##### include essential cmake modules ###########
 
 include( FindPkgConfig )
 include( CheckCXXSourceCompiles )
 include( CheckSymbolExists )
 
+
+##### include our cmake modules #################
+
 include( TDEMacros )
 
 
-##### set version number ########################
+##### setup install paths #######################
 
-tde_set_project_version( )
+include( TDESetupPaths )
+tde_setup_paths( )
 
 
 ##### optional stuff
@@ -39,19 +51,10 @@
 include( ConfigureChecks.cmake )
 
 
-##### install paths setup #######################
-
-tde_setup_install_path( EXEC_INSTALL_PREFIX   "${CMAKE_INSTALL_PREFIX}" )
-tde_setup_install_path( BIN_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/bin"  )
-tde_setup_install_path( LIB_INSTALL_DIR       "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
-tde_setup_install_path( INCLUDE_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME}" )
-tde_setup_install_path( PKGCONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/pkgconfig" )
-
-
 ##### write pkgconfig file ######################
 
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
-string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
+string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME} )
 string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )
 configure_file( dbus-1-tqt.pc.cmake dbus-1-tqt.pc @ONLY )
 install( FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus-1-tqt.pc DESTINATION ${PKGCONFIG_INSTALL_DIR} )
