=== debian/changelog ===
dbus-1-tqt (4:14.1.6~pre4-0ubuntu24.10.0+2) oracular; urgency=low

  * Automated git build for 29995e9da2b3fb3fc2787ead97c0c1cdfb2cd87d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 02:52:52 +0100

dbus-1-tqt (4:14.1.6~pre0-0) forky; urgency=low

  * Added SO version to binary package name.
  * Install libraries according to multi-arch rules.
  * Removed Replaces and Breaks referring to themselves.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 25 Feb 2026 10:31:10 +0100
