## dbus-1-tqt 14.2.0~pre10

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre10-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 8bc7bd5e9e885fc26ff398602970b189e8c490c3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
