## dbus-1-tqt 14.2.0~pre11

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre11-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 56a83882045fc3eb55cd663df6c73b334cb98eed
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Dec 2025 23:54:37 +0100
