## dbus-1-tqt 14.2.0~pre13

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre13-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 65da4c717517fdb2066a7887f64b63fd9e4d3bd1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 23:01:24 +0100
