## dbus-1-tqt 14.2.0~pre14

=== debian/changelog ===
dbus-1-tqt (4:14.2.0~pre14-0raspbian13.0.0+9) raspbian-trixie; urgency=low

  * Automated git build for 298cd5083af048a6d69224bfb2263185b870c003
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#dbus-1-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 18:16:11 +0100
