=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqtinterface-dev, libdbus-1-dev (>= 0.90)
+Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libtqt3-mt-dev, libdbus-1-dev (>= 0.90)
 Build-Depends-Indep: doxygen, graphviz
 Standards-Version: 3.8.3
 
 Package: libdbus-1-tqt-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-tqt0 (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqtinterface-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdbus-1-tqt0 (= ${binary:Version}), libdbus-1-dev (>= 0.90), libtqt3-mt-dev
 Description: dbus bindings for the Trinity TQt interface
  D-BUS is a message bus, used for sending messages between applications.
  Conceptually, it fits somewhere in between raw sockets and CORBA in
